function y = pt2(u)

% Abtastzeit
T0 = 1;

% schwingungsfhige Pole im s-Bereich:
re = -0.3;
im = 0;

a1 = -2*exp(re*T0)*cos(im*T0);
a2 = exp(2*re*T0);
b1 = 1;
b2 = 0;


% nicht schwingungsfhige Pole im s-Bereich:
re1 = -0.1;
re2 = -0.1;

a1 = -(exp(re1*T0)+exp(re2*T0));
a2 = exp(re1*T0)*exp(re2*T0);
b1 = 1;
b2 = 0;


N = length(u)-1;
y = zeros(N+1,1);

for k = 0:N                 % Time steps
    idx = k+1;              % Index for vectors starts at 1, not at 0
    if k == 0
        y(idx) = 0;
    elseif k == 1
        y(idx) = -a1*y(idx-1)+b1*u(idx-1);
    else
        y(idx) = -a1*y(idx-1)-a2*y(idx-2)+b1*u(idx-1)+b2*u(idx-2);
    end
end
